Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

OOTB AEM 6.5.0 is not running in M1 processor Mac machine.

Avatar

Level 8

Hi,

I am trying to run the "out of the box" plain AEM 6.5.0 in new M1 Mac. The system bundle shown in pic below stuck in "starting" status and not becoming active. I can login into osgi bundles and see but the crx & login are not coming up and the AEM is unusable.

 

The java version is
    java version "1.8.0_333"
    Java(TM) SE Runtime Environment (build 1.8.0_333-b02)
    Java HotSpot(TM) 64-Bit Server VM (build 25.333-b02, mixed mode)

I tried downgrade the java 8 version to 311, still no luck.
Any help or documentation to fix this will be helpful.

 

Saravanan_Dharmaraj_0-1658161557278.png

 

 

8 Replies

Avatar

Community Advisor

Hi @Saravanan_Dharmaraj ,

Please check if your Core Component is in Active state or any other bundles. Resolve those and bring them to Active if any to make it functional.

Regards,

Santosh

Avatar

Level 8

Below pic shows the list of bundles not in active state. I tried to start manually too , nothing happens and nothing in log file too.

 

Saravanan_Dharmaraj_0-1658172901500.png

 

Avatar

Community Advisor

@Saravanan_Dharmaraj - check your AEM Core WCM Components bundle - what's error? If you install latest SP it will resolve - it's because of incompatibility of AEM Core component bundle and AEM version.

 

Avatar

Level 8

I installed SP10 using install folder under crx-quickstart. Now more bundles are in inactive state but system bundle is active. Manually clicking bundles is not making it active too. 

 

Saravanan_Dharmaraj_0-1658184178408.png

 

Avatar

Level 8

One thing made it work for me is removing all the java versions from the M1 mac and installed Java 11.

Then restarted the AEM instance it worked. Then i installed SP10. It worked too.

This similar post helped 

https://experienceleaguecommunities.adobe.com/t5/adobe-experience-manager/anyone-able-to-setup-aem-6... 

Avatar

Level 1

Hi Saravanan,

 

Thank you for this reply! I was running into this same roadblock on this because I was using Java 18 (using brew and getting latest) on my M1Pro Mac and AEM wasn't starting up so I uninstalled it, and installed Java 11 instead (brew install openjdk@11) and it now works as expected.

 

Thank you!